AlaaBadr Respected Contributor.
Respected Contributor.
843 views

users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

HI HPSM Experts;

I need your help to be able to solve our system problem, ,after upgrading our HPSM 9.34 to 9.40 our users cannot request from the service catalog because of unrecoverable error in application: sd.catalog.request on panel save.interaction.

the error image is attached 

regards;

AB

0 Likes
1 Solution

Accepted Solutions
TomPowe Acclaimed Contributor.
Acclaimed Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

In your command line, run: *afind.string.

Search for the string: Please provide a Service

and look in these tables:

datadict
formatctrl

See if anything comes up.

View solution in original post

10 Replies
Micro Focus Expert
Micro Focus Expert

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

Hello,

I recommend you to open a Support case for deeper investigation into your issue. HPE Support needs your log file and Steps-to-Reproduce. There is no general solution for that "Unrecoverable error in application: sd.catalog.request on panel save.interaction".

Just one thing I saw is that message "Please provide a Service" comes first. You may test with providing that Service first, perhaps the error message will not come up after that.

Best regards

Heike

 

Thank you for using the MicroFocus ServiceManager Support and News Forum. If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
0 Likes
AlaaBadr Respected Contributor.
Respected Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

we don't have a Support contract, any help?

0 Likes
TomPowe Acclaimed Contributor.
Acclaimed Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

AB,  have you searched through the format controls to see if you can find that validation?  If you can find it, you could try to "false" out the validation to see what happens and if it can complete the request?  I'm not suggesting that as a solution, but as a troubleshooting step to verify where the error is coming from.

0 Likes
AlaaBadr Respected Contributor.
Respected Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

Dear Tom,

Thanks for replying, I searched through the format control of  the incidents table and I could not find that validation,

in addition when I used index.do instead of ess.do to order from catalog and it works, the quote was submited  successfully and open interaction,

in the attachment a snapshot of the incidents table format control. hoping it can help. 

regards;
AB

0 Likes
zafar291_1 Absent Member.
Absent Member.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

check in catalog fc, because from ess the ticket hasn't created yet.

also from index.do remove service and try to raise and see if same error is coming.

0 Likes
AlaaBadr Respected Contributor.
Respected Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

Dear Zafar;

I tried but I couldn't find any,

could you please advise where to check in catalog fc?

regards;

AB

0 Likes
TomPowe Acclaimed Contributor.
Acclaimed Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

Your screenshot showed the Validations tab of the format control. Did you look at the Queries tab?  If one of the queries is mandatory, it will also have a message. Maybe that is where it is coming from?

0 Likes
AlaaBadr Respected Contributor.
Respected Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

the queries tab has no mandatory filed releated to this error as per attached. could you please advise how to check the FC of the catalog? 

regards;

AB

0 Likes
TomPowe Acclaimed Contributor.
Acclaimed Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

In your command line, run: *afind.string.

Search for the string: Please provide a Service

and look in these tables:

datadict
formatctrl

See if anything comes up.

View solution in original post

AlaaBadr Respected Contributor.
Respected Contributor.

Re: users cannot request from service catalog after upgrading our HPSM 9.34 to 9.40

Jump to solution

Dear Tom,

thanks for your prompt help, I found the reason after using your last advise (*afind.string to look at formatctrl), the problem was in the ess.SD.open FC.

regards;

AB 🙂 

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.